<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/img_bg">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/titleBar"
        android:layout_width="0dp"
        android:layout_height="56dp"
        android:background="@mipmap/img_navigation_bg"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/titleText"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="33dp"
            android:layout_marginEnd="10dp"
            android:ellipsize="end"
            android:maxLines="1"
            android:textColor="@android:color/white"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/homeLayout"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="文件名称" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/backLayout"
            android:layout_width="84dp"
            android:layout_height="28dp"
            android:layout_marginEnd="17dp"
            android:background="@drawable/shape_rect_round_5_solid_0183fa_10p"
            android:gravity="center_vertical"
            android:padding="5dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/backImage"
                android:layout_width="18dp"
                android:layout_height="16dp"
                android:layout_marginStart="3dp"
                android:contentDescription="@null"
                android:scaleType="centerCrop"
                android:src="@mipmap/icon_sys_return"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="7dp"
                android:text="返回"
                android:textColor="@android:color/white"
                android:textSize="10sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/backImage"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="SmallSp" />

            <TextView
                android:id="@+id/countDown"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@android:color/white"
                android:textSize="8sp"
                app:layout_constraintBaseline_toBaselineOf="@id/back"
                app:layout_constraintStart_toEndOf="@id/back"
                tools:ignore="SmallSp" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/homeLayout"
            android:layout_width="73dp"
            android:layout_height="28dp"
            android:layout_marginEnd="6dp"
            android:background="@drawable/shape_rect_round_5_solid_0183fa_10p"
            android:gravity="center_vertical"
            android:padding="5dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/backLayout"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/homeImage"
                android:layout_width="18dp"
                android:layout_height="18dp"
                android:layout_marginStart="3dp"
                android:contentDescription="@null"
                android:scaleType="centerCrop"
                android:src="@mipmap/icon_sys_sy"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/home"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="13dp"
                android:text="首页"
                android:textColor="@android:color/white"
                android:textSize="10sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/homeImage"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="SmallSp" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.github.barteksc.pdfviewer.PDFView
        android:id="@+id/pdfView"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="120dp"
        android:layout_marginEnd="120dp"
        android:background="#E0E0E0"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/titleBar" />

    <TextView
        android:id="@+id/qr_tip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="20dp"
        android:layout_marginBottom="17dp"
        android:text="微信扫描二维码查看"
        android:textColor="#ff333333"
        android:textSize="10sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        tools:ignore="SmallSp" />

    <ImageView
        android:id="@+id/qrCode"
        android:layout_width="79dp"
        android:layout_height="79dp"
        android:layout_marginBottom="9dp"
        android:contentDescription="@null"
        android:scaleType="fitXY"
        app:layout_constraintBottom_toTopOf="@id/qr_tip"
        app:layout_constraintEnd_toEndOf="@id/qr_tip"
        app:layout_constraintStart_toStartOf="@id/qr_tip"
        tools:src="@mipmap/img_error" />

</androidx.constraintlayout.widget.ConstraintLayout>